org.springframework.batch.sample.domain.order

## Class Customer

- java.lang.Object
- - org.springframework.batch.sample.domain.order.Customer

-     public class Customer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINE_ID_BUSINESS_CUST`
    `static java.lang.String` | `LINE_ID_NON_BUSINESS_CUST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Customer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCompanyName()`
    `java.lang.String` | `getFirstName()`
    `java.lang.String` | `getLastName()`
    `java.lang.String` | `getMiddleName()`
    `long` | `getRegistrationId()`
    `int` | `hashCode()`
    `boolean` | `isBusinessCustomer()`
    `boolean` | `isRegistered()`
    `boolean` | `isVip()`
    `void` | `setBusinessCustomer(boolean bussinessCustomer)`
    `void` | `setCompanyName(java.lang.String companyName)`
    `void` | `setFirstName(java.lang.String firstName)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setMiddleName(java.lang.String middleName)`
    `void` | `setRegistered(boolean registered)`
    `void` | `setRegistrationId(long registrationId)`
    `void` | `setVip(boolean vip)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LINE_ID_BUSINESS_CUST

          public static final java.lang.String LINE_ID_BUSINESS_CUST

      See Also:
        Constant Field Values

    - #### LINE_ID_NON_BUSINESS_CUST

          public static final java.lang.String LINE_ID_NON_BUSINESS_CUST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Customer

          public Customer()

  - ### Method Detail

    - #### isBusinessCustomer

          public boolean isBusinessCustomer()

    - #### setBusinessCustomer

          public void setBusinessCustomer(boolean bussinessCustomer)

    - #### getCompanyName

          public java.lang.String getCompanyName()

    - #### setCompanyName

          public void setCompanyName(java.lang.String companyName)

    - #### getFirstName

          public java.lang.String getFirstName()

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

    - #### isRegistered

          public boolean isRegistered()

    - #### setRegistered

          public void setRegistered(boolean registered)

    - #### getLastName

          public java.lang.String getLastName()

    - #### setLastName

          public void setLastName(java.lang.String lastName)

    - #### getMiddleName

          public java.lang.String getMiddleName()

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

    - #### getRegistrationId

          public long getRegistrationId()

    - #### setRegistrationId

          public void setRegistrationId(long registrationId)

    - #### isVip

          public boolean isVip()

    - #### setVip

          public void setVip(boolean vip)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`